> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /ad-stack/:id

> Gets an individual ad stack and all the integrations connected to it



## OpenAPI

````yaml /openapi.json get /v1/ad-stack/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/ad-stack/{id}:
    get:
      tags:
        - Ad Stack
        - public
      summary: /ad-stack/:id
      description: Gets an individual ad stack and all the integrations connected to it
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                      use_count:
                        type: integer
                      global:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            type:
                              type: string
                            logo:
                              type: string
                            logo_dark:
                              type: string
                            platform_name:
                              type: string
                            sub_type:
                              type: string
                            account_name:
                              type: string
                            schema:
                              type: string
                            config:
                              type: object
                              properties:
                                bidderTimeout:
                                  type: integer
                                syncDelay:
                                  type: integer
                                priceGranularity:
                                  type: string
                                useBidCache:
                                  type: boolean
                                enableTIDs:
                                  type: boolean
                                s2sConfig:
                                  type: object
                                  properties:
                                    timeout:
                                      type: integer
                                  required:
                                    - timeout
                                throttling:
                                  type: object
                                  properties:
                                    thresholdType:
                                      type: string
                                    thresholdValue:
                                      type: integer
                                    actions:
                                      type: object
                                      properties:
                                        actionTarget:
                                          type: string
                                      required:
                                        - actionTarget
                                    scope:
                                      type: string
                                    filter:
                                      type: object
                                      properties:
                                        type:
                                          type: string
                                      required:
                                        - type
                                  required:
                                    - thresholdType
                                    - thresholdValue
                                    - actions
                                    - scope
                                    - filter
                              required:
                                - bidderTimeout
                                - syncDelay
                                - priceGranularity
                                - useBidCache
                                - enableTIDs
                                - s2sConfig
                                - throttling
                            valid:
                              type: boolean
                      integration:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            type:
                              type: string
                            logo:
                              type: string
                            logo_dark:
                              type: string
                            platform_name:
                              type: string
                            account_name:
                              type: string
                            sub_type:
                              type: string
                            schema:
                              type: string
                            config:
                              type: object
                              properties:
                                placement:
                                  type: string
                                adUnitElementId:
                                  type: string
                                organizationId:
                                  type: string
                                site:
                                  type: string
                                tagId:
                                  type: string
                                approved:
                                  type: string
                                networkId:
                                  type: string
                                pubid:
                                  type: string
                                accountId:
                                  type: string
                                zoneId:
                                  type: string
                                siteId:
                                  type: string
                                pubId:
                                  type: string
                                publisherId:
                                  type: string
                                adSlot:
                                  type: string
                                placement_id:
                                  type: string
                                pubID:
                                  type: string
                                ad_unit:
                                  type: string
                                mcm:
                                  type: string
                              required:
                                - ad_unit
                                - mcm
                            valid:
                              type: boolean
                          required:
                            - id
                            - type
                            - logo
                            - logo_dark
                            - platform_name
                            - account_name
                            - sub_type
                            - schema
                            - config
                            - valid
                    required:
                      - id
                      - name
                      - use_count
                      - global
                      - integration
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  id: 338
                  name: GAM+Prebid+TAM
                  use_count: 8
                  global:
                    - id: 5yc22
                      type: ad_demand
                      logo: A
                      logo_dark: A
                      platform_name: Ad Demand
                      sub_type: Global Settings
                      account_name: null
                      schema: /v1/integration/5yc22/stack-schema
                      config:
                        bidderTimeout: 1250
                        syncDelay: 1000
                        priceGranularity: dense
                        useBidCache: true
                        enableTIDs: false
                        s2sConfig:
                          timeout: 1000
                        throttling:
                          thresholdType: count
                          thresholdValue: 3
                          actions:
                            actionTarget: page_view
                          scope: ad_unit
                          filter:
                            type: include
                      valid: true
                  integration:
                    - id: gjdi6x
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/adagio.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/adagio--dark.svg
                      platform_name: Adagio
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi6x/stack-schema
                      config:
                        placement: banner
                        adUnitElementId: ✨ Auto-populated
                        organizationId: '1311'
                        site: ''
                      valid: true
                    - id: gjdi6v
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/amx.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/amx--dark.svg
                      platform_name: AdaptMX
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi6v/stack-schema
                      config:
                        tagId: Y29udGVudGlnbml0ZS5jb20
                        approved: ''
                      valid: >-
                        Form errors found: /approved: The data must must match
                        the const value
                    - id: gjdi7j
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/criteo.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/criteo--dark.svg
                      platform_name: Criteo
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi7j/stack-schema
                      config:
                        networkId: '12052'
                        pubid: ''
                      valid: true
                    - id: gjdi6y
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/rubicon.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/rubicon--dark.svg
                      platform_name: Magnite/Rubicon
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi6y/stack-schema
                      config:
                        accountId: '23802'
                        zoneId: ''
                        siteId: ✨ Auto-populated
                      valid: >-
                        Form errors found: /zoneId: The data (string) must match
                        the type: integer
                    - id: gjdi6w
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/onetag.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/onetag--dark.svg
                      platform_name: OneTag
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi6w/stack-schema
                      config:
                        pubId: 76bc3f955fb9fc6
                        approved: ''
                      valid: >-
                        Form errors found: /approved: The data must must match
                        the const value
                    - id: gjdi6u
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/pubmatic.svg
                      logo_dark: >-
                        https://cdn.tagdeliver.com/assets/logo/pubmatic--dark.svg
                      platform_name: Pubmatic
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi6u/stack-schema
                      config:
                        publisherId: '160530'
                        adSlot: ✨ Auto-populated
                      valid: true
                    - id: gjdi7p
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/xandr.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/xandr--dark.svg
                      platform_name: Xandr
                      account_name: Content Ignite
                      sub_type: Prebid.js (header bidding) ad demand
                      schema: /v1/integration/gjdi7p/stack-schema
                      config:
                        placement_id: ✨ Auto-populated
                      valid: true
                    - id: gjdi72
                      type: ad_demand
                      logo: https://cdn.tagdeliver.com/assets/logo/aps.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/aps--dark.svg
                      platform_name: Amazon Publisher Services
                      account_name: Content Ignite Limited
                      sub_type: Server-side header bidding wrapper
                      schema: /v1/integration/gjdi72/stack-schema
                      config:
                        pubID: 31d73d2c-90bc-4f1d-943e-7ad060d80ad4
                        approved: ''
                      valid: >-
                        Form errors found: /approved: The data must must match
                        the const value
                    - id: 5yc2e
                      type: ad_server
                      logo: https://cdn.tagdeliver.com/assets/logo/gam.svg
                      logo_dark: https://cdn.tagdeliver.com/assets/logo/gam--dark.svg
                      platform_name: Google Ad Manager
                      account_name: Content Ignite
                      sub_type: Ad Server
                      schema: /v1/integration/5yc2e/stack-schema
                      config:
                        ad_unit: ''
                        mcm: ''
                      valid: >-
                        Form errors found: /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value, /mcm: The data
                        must must match the const value, /mcm: The data must
                        must match the const value, /mcm: The data must must
                        match the const value, /mcm: The data must must match
                        the const value, /mcm: The data must must match the
                        const value, /mcm: The data must must match the const
                        value, /mcm: The data must must match the const value,
                        /mcm: The data must must match the const value, /mcm:
                        The data must must match the const value
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````